%define ver_major 2.32
%def_disable static
%def_enable pulse
%def_enable smartcard
%def_enable polkit

%define _libexecdir %_prefix/libexec

Name: gnome-settings-daemon
Version: %ver_major.1
Release: alt1

Summary: A program that manages general GNOME settings
License: GPLv2+
Group: Graphical desktop/GNOME
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

Url: http://gnome.org
Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2
# enable the plugin to manage font settings
Patch: %name-2.30.0-enable_font_plugin.patch

PreReq: GConf

# From configure.ac
%define dbus_glib_ver 0.74
%define glib2_ver 2.17.3
%define gtk_ver 2.22.0
%define gconf_ver 2.6.1
%define gio_ver 2.17.3
%define gnome_desktop_ver 2.31.4
%define libgnomekbd_ver 2.31.5
%define libxklavier_ver 5.0
%define notify_ver 0.4.0
%define pulse_ver 0.9.15

# From configure.ac
BuildPreReq: libdbus-glib-devel >= %dbus_glib_ver
BuildPreReq: glib2-devel >= %glib2_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libGConf-devel >= %gconf_ver
BuildPreReq: libgio-devel >= %gio_ver
BuildPreReq: libgnome-desktop-devel >= %gnome_desktop_ver
BuildPreReq: libgnomekbd-devel >= %libgnomekbd_ver
BuildPreReq: libxklavier-devel >= %libxklavier_ver
BuildPreReq: libnotify-devel >= %notify_ver
%{?_enable_pulse:BuildPreReq: libpulseaudio-devel >= %pulse_ver libcanberra-gtk2-devel}
%{?_enable_smartcard:BuildRequires: libnss-devel}
%{?_enable_polkit:BuildRequires: libdbus-devel libpolkit1-devel}
BuildRequires: rpm-build-gnome intltool
BuildRequires: gcc-c++ libXi-devel libXext-devel libXrandr-devel xorg-inputproto-devel libICE-devel libSM-devel

%description
GNOME Settings Daemon is a program that organizes access to general GNOME
settings. Other GNOME programs may interact with gnome-settings-daemon to
obtain or change some settings. One of the most prominent examples of a g-s-d
client is GNOME Control Center, another one is Evolution.

%package devel
Summary: GNOME Settings Daemon development files
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%prep
%setup -q
#%patch

# build against (gtk/gnome)3 versions
#subst 's/\(gnome-desktop-\)2.0/\13.0/
#	s/\(libcanberra-gtk\)/\13/' configure.ac

%build
%autoreconf
%configure \
	%{subst_enable static} \
	%{?_disable_smartcard:--disable-smartcard-support} \
	%{subst_enable polkit} \
	%{subst_enable pulse} \
	--disable-schemas-install

%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name

%define gsd_schemas %{?_enable_smartcard:desktop_gnome_peripherals_smartcard} apps_gnome_settings_daemon_housekeeping apps_gnome_settings_daemon_keybindings apps_gnome_settings_daemon_xrandr desktop_gnome_font_rendering desktop_gnome_keybindings desktop_gnome_peripherals_touchpad gnome-settings-daemon

%post
%gconf2_install %gsd_schemas

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %gsd_schemas
fi

%files -f %name.lang
%_libdir/gnome-settings-daemon-2.0
%_libexecdir/gnome-settings-daemon
%_libexecdir/gsd-locate-pointer
%_datadir/gnome-settings-daemon
%_datadir/dbus-1/services/org.gnome.SettingsDaemon.service
%_datadir/gnome-control-center/keybindings/50-accessibility.xml
%_iconsdir/hicolor/*/*/*.png
%_iconsdir/hicolor/*/*/*.svg
%_sysconfdir/xdg/autostart/gnome-settings-daemon.desktop
%config %gconf_schemasdir/apps_gnome_settings_daemon_housekeeping.schemas
%config %gconf_schemasdir/apps_gnome_settings_daemon_keybindings.schemas
%config %gconf_schemasdir/apps_gnome_settings_daemon_xrandr.schemas
%config %gconf_schemasdir/desktop_gnome_font_rendering.schemas
%config %gconf_schemasdir/desktop_gnome_keybindings.schemas
%config %gconf_schemasdir/desktop_gnome_peripherals_smartcard.schemas
%config %gconf_schemasdir/desktop_gnome_peripherals_touchpad.schemas
%config %gconf_schemasdir/gnome-settings-daemon.schemas
%doc AUTHORS NEWS

%if_enabled polkit
%_libexecdir/gsd-datetime-mechanism
%_datadir/dbus-1/system-services/org.gnome.SettingsDaemon.DateTimeMechanism.service
%_sysconfdir/dbus-1/system.d/org.gnome.SettingsDaemon.DateTimeMechanism.conf
%_datadir/polkit-1/actions/org.gnome.settingsdaemon.datetimemechanism.policy
%endif

%exclude %_libdir/gnome-settings-daemon-2.0/*.la

%files devel
%_includedir/*
%_pkgconfigdir/*

%changelog
* Mon Nov 15 2010 Yuri N. Sedunov <aris@altlinux.org> 2.32.1-alt1
- 2.32.1

* Tue Oct 05 2010 Yuri N. Sedunov <aris@altlinux.org> 2.32.0-alt1
- 2.32.0

* Wed Aug 04 2010 Yuri N. Sedunov <aris@altlinux.org> 2.31.6-alt1
- 2.31.6

* Wed Jul 07 2010 Yuri N. Sedunov <aris@altlinux.org> 2.31.4.2-alt1
- 2.31.4.2

* Tue Jun 22 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.2-alt1
- 2.30.2

* Mon Apr 26 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.1-alt1
- 2.30.1

* Mon Mar 29 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt1
- 2.30.0
- enabled font plugin disabled by default in this version

* Wed Mar 10 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.92-alt2
- updated buildreqs

* Wed Mar 10 2010 Yuri N. Sedunov <aris@altlinux.org> 2.28.2-alt1
- 2.28.2

* Mon Mar 08 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.92-alt1
- 2.29.92

* Thu Feb 25 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.91.1-alt1
- 2.29.91.1

* Mon Feb 08 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.90-alt1
- 2.29.90

* Tue Jan 26 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.6-alt1
- 2.29.6

* Tue Jan 12 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.5-alt1
- 2.29.5

* Mon Oct 19 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.1-alt1
- 2.28.1

* Mon Sep 28 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt2
- updated buildreqs (shrek@)

* Mon Sep 21 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt1
- 2.28.0

* Wed Sep 09 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.92-alt1
- 2.27.92

* Mon Aug 24 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.91-alt1
- 2.27.91

* Fri Aug 14 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.90-alt1
- 2.27.90

* Tue Apr 14 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt1
- 2.26.1

* Mon Mar 16 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0

* Tue Mar 03 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.92-alt1
- 2.25.92
- removed upstreamed patches

* Fri Feb 06 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.90-alt1
- 2.25.90
- removed upstreamed patches

* Fri Jan 23 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.3-alt1
- 2.25.3
- applied current Fedora patches
- updated buildreqs
- updated schemas list

* Mon Dec 29 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt2
- updated buildreqs

* Tue Nov 25 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- 2.24.1
- updated buildreqs

* Sat Oct 25 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt4
- rebuild against libgnomekbd.so.3

* Thu Oct 02 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt3
- add apps_gnome_settings_daemon_xrandr to schemas list

* Wed Oct 01 2008 Alexey Shabalin <shaba@altlinux.ru> 2.24.0-alt2
- define libexec dir as /usr/libexec

* Sun Sep 28 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt1
- 2.24.0
- new patchset from Fedora

* Wed Aug 13 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.2.1-alt1
- 2.22.2.1
- import patches from fedora
- build with pulseaudio support

* Fri Mar 21 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt2
- check /desktop/gnome/sound/enable_esd for enable/disable esd (patch0)

* Tue Mar 18 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1.1
- build for Sisyphus
- patch2 from RH: don't set keyboard model on startup from gconf if evdev is being used.
  Evdev needs to use its own keyboard model to work right.

* Sun Mar 09 2008 Alexey Shabalin <shaba@altlinux.ru> 2.21.92-alt1
- First build for Sisyphus.

